Content & StorefrontCollections
List collections
Lists the published collections with their public metadata.
GET
/v1/collectionsLists the published collections with their public metadata.
Query Parameters
search?string
Free-text filter. Which fields it covers depends on the resource.
sort?string
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/collections" \ -H "x-Store-Domain: my-store"[ { "id": "7204558912004325301", "slug": "example-resource", "name": "Example resource", "description": "Example description.", "imageUrl": "https://example.com/resource", "type": "example", "productCount": 1 }]